4‎ > ‎k‎ > ‎

d

84288165 story Operating Systems Security BSD Linux

Severe Flaws Found In Libarchive Open Source Library (talosintel.com) 82

Posted by msmash on Wednesday June 22, 2016 @02:00PM from the security-woes dept. Reader itwbennett writes: Researchers from Cisco Systems' Talos group have found three memory corruption errors in the widely used open-source library libarchive that can result in arbitrary code execution and can be exploited by passing specially crafted files to applications that contain the vulnerable code. "The library is used by file and package managers included in many Linux and BSD systems, as well as by components and tools in OS X and Chrome OS," writes Lucian Constantin. "Developers can also include the library's code in their own projects, so it's hard to know how many other applications or firmware packages contain it." (Original blog post) So, while the libarchive maintainers have released patches for the flaws, it will likely take a long time for them to trickle down through all the affected projects.

#auto

Subpages (2): n r
Comments